Virtual machines
Change virtual machine tags
Sets or removes allowlisted tags on a virtual machine. Setting costgraph.ai/pricing-id.compute assigns one of your organization’s compute prices (or a public catalog price) to the machine; its cost follows that price from the next hour. Removing it returns the machine to automatic pricing.
PATCH
/
api
/
v1
/
tenant
/
virtual-machines
/
{id}
/
tags
Change virtual machine tags
curl --request PATCH \
--url https://api.costgraph.ai/api/v1/tenant/virtual-machines/{id}/tags \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-CostGraph-Tenant-ID: <x-costgraph-tenant-id>' \
--data '
{
"remove": [
"<string>"
],
"set": {}
}
'import requests
url = "https://api.costgraph.ai/api/v1/tenant/virtual-machines/{id}/tags"
payload = {
"remove": ["<string>"],
"set": {}
}
headers = {
"X-CostGraph-Tenant-ID": "<x-costgraph-tenant-id>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-CostGraph-Tenant-ID': '<x-costgraph-tenant-id>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({remove: ['<string>'], set: {}})
};
fetch('https://api.costgraph.ai/api/v1/tenant/virtual-machines/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "some message",
"status": "success",
"data": {
"tags": {}
}
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}Authorizations
Enter "Bearer {token}"
Headers
Tenant ID
Path Parameters
Virtual machine ID
Was this page helpful?
⌘I
Change virtual machine tags
